You are not logged in.

#1 2020-02-11 15:40:45

Sector11
Conky 1.9er Mod Squid
From: Upstairs
Registered: 2015-08-20
Posts: 6,123

Medit and python-vte

Been hunting for this for what seems like FOREVER!

Medit lost the "terminal" that it had in #!.  Today I found out how to get it back:

Install: python-vte

Description: Python bindings for the VTE widget set
 The VTE library provides a terminal emulator widget VteTerminal for applications using the GTK+
 toolkit. It also provides the VtePTY object containing functions for starting a new process on a
 new pseudo-terminal and for manipulating pseudo-terminals. 

Allows for starting/stopping conky directly from medit and seeing any errors on the fly.

Can we have these as default installs in BL?

2020-02-11-123001-S11.jpg

Now if only it had "spell checking" and "typos that make real words checking"  big_smile

Last edited by Sector11 (2020-02-11 15:43:51)


The sun will never set if you keep walking towards it. - my son
Being positive doesn't understand physics.

Offline

#2 2020-02-11 16:29:36

damo
....moderator....
Registered: 2015-08-20
Posts: 5,967

Re: Medit and python-vte

Sector11 wrote:

...
Can we have these as default installs in BL?
...

python-vte isn't in Buster: it is in Stretch(old-stable) and Sid. Maybe you can backport it for Lithium.

Or use Geany  devil


Be Excellent to Each Other...
The Bunsenlabs Lithium Desktop » Here
FORUM RULES and posting guidelines «» Help page for forum post formatting
Artwork on DeviantArt  «» BunsenLabs on DeviantArt

Offline

#3 2020-02-11 17:31:35

Sector11
Conky 1.9er Mod Squid
From: Upstairs
Registered: 2015-08-20
Posts: 6,123

Re: Medit and python-vte

Well, I am still running Stretch (BunsenLabs GNU/Linux 9.8 (Helium))

I do not like geany, never have.

Virtual terminal emulator widget (VTE)

If you have installed libvte.so on your system, it is loaded automatically by Geany, and you will have a terminal widget in the notebook at the bottom.

 11 Feb 20 @ 14:06:40 ~
   $ ser libvte
alias ser = aptitude search
i A libvte-2.91-0      - Terminal emulator widget for GTK+ 3.0 - runtime file
i A libvte-2.91-common - Terminal emulator widget for GTK+ 3.0 - common file
i A libvte-common      - Terminal emulator widget for GTK+ 2.x - common file
i A libvte9            - Terminal emulator widget for GTK+ 2.0 - runtime file

I do not see a "terminal" in geany here.
2020-02-11-142425-S11.jpg

And my second choice for a text editor is "Pluma" because  it has a spell checker, and as we all know: I really need that!

So:
- python-vte is available in Debian Old Stable
- python-vte is NOT available in Debian Stable
- python-vte is available in Debian SID
Boggles the mind!

Consider this closed. - I'll just do my own thing somehow.

Last edited by Sector11 (2020-02-11 17:34:48)


The sun will never set if you keep walking towards it. - my son
Being positive doesn't understand physics.

Offline

#4 2020-02-11 17:53:44

damo
....moderator....
Registered: 2015-08-20
Posts: 5,967

Re: Medit and python-vte

[unclosed]
FYI: Geany -> View -> Terminal (and there is a "Terminal" tab in your scrot)

W5NYYJvt.jpg
[closed again]

wink


Be Excellent to Each Other...
The Bunsenlabs Lithium Desktop » Here
FORUM RULES and posting guidelines «» Help page for forum post formatting
Artwork on DeviantArt  «» BunsenLabs on DeviantArt

Offline

#5 2020-02-11 18:02:13

damo
....moderator....
Registered: 2015-08-20
Posts: 5,967

Re: Medit and python-vte

More FYI re python-vte:

https://bugs.debian.org/cgi-bin/bugrepo … bug=884888

It has been deprecated and unmaintained for years. The replacement is to use gtk3 and gobject-introspection (see the gir1.2-vte-2.91 package).

BTW Geany has a spellchecker plugin.

Last edited by damo (2020-02-11 18:20:54)


Be Excellent to Each Other...
The Bunsenlabs Lithium Desktop » Here
FORUM RULES and posting guidelines «» Help page for forum post formatting
Artwork on DeviantArt  «» BunsenLabs on DeviantArt

Offline

#6 2020-02-11 18:19:33

Sector11
Conky 1.9er Mod Squid
From: Upstairs
Registered: 2015-08-20
Posts: 6,123

Re: Medit and python-vte

The terminal "tab" you see in my scrot is in "Medit"

geany has no terminal

Last edited by Sector11 (2020-02-11 18:27:01)


The sun will never set if you keep walking towards it. - my son
Being positive doesn't understand physics.

Offline

#7 2020-02-11 18:34:01

Sector11
Conky 1.9er Mod Squid
From: Upstairs
Registered: 2015-08-20
Posts: 6,123

Re: Medit and python-vte

damo wrote:

see the gir1.2-vte-2.91 package

That is already installed and automatically as well

Did not give medit or geany a terminal


The sun will never set if you keep walking towards it. - my son
Being positive doesn't understand physics.

Offline

#8 2020-02-11 18:34:43

Sector11
Conky 1.9er Mod Squid
From: Upstairs
Registered: 2015-08-20
Posts: 6,123

Re: Medit and python-vte

Sector11 wrote:

I do not like geany, never have.


The sun will never set if you keep walking towards it. - my son
Being positive doesn't understand physics.

Offline

#9 2020-02-11 18:39:18

Sector11
Conky 1.9er Mod Squid
From: Upstairs
Registered: 2015-08-20
Posts: 6,123

Re: Medit and python-vte

damo wrote:

BTW Geany has a spellchecker plugin.

It does?
2020-02-11-153645-S11.jpg

 11 Feb 20 @ 15:38:46 ~
   $ s11
System:    Host: sector11 Kernel: 4.9.0-11-amd64 x86_64 (64 bit gcc: 6.3.0)
           Desktop: Openbox 3.6.1 Distro: BunsenLabs GNU/Linux 9.8 (Helium)
Machine:   Device: desktop Mobo: ASUSTeK model: PRIME A320M-K v: Rev X.0x
           UEFI [Legacy]: American Megatrends v: 4029 date: 11/30/2018
CPU:       Quad core AMD Ryzen 3 2200G with Radeon Vega Graphics (-MCP-) cache: 2048 KB
           flags: (lm nx sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3 svm) bmips: 27947
           clock speeds: max: 3500 MHz 1: 1600 MHz 2: 1600 MHz 3: 2300 MHz 4: 2300 MHz
Graphics:  Card: Advanced Micro Devices [AMD/ATI] Device 15dd bus-ID: 07:00.0
           Display Server: X.Org 1.19.2 drivers: ati,vesa (unloaded: modesetting,fbdev,radeon)
           Resolution: 1920x1080@0.00hz
           GLX Renderer: Gallium 0.4 on llvmpipe (LLVM 3.9, 128 bits)
           GLX Version: 3.0 Mesa 13.0.6 Direct Rendering: Yes
Audio:     Card-1 Advanced Micro Devices [AMD] Device 15e3 driver: snd_hda_intel bus-ID: 07:00.6
           Card-2 Advanced Micro Devices [AMD/ATI] Device 15de
           driver: snd_hda_intel bus-ID: 07:00.1
           Sound: Advanced Linux Sound Architecture v: k4.9.0-11-amd64
Network:   Card: Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller
           driver: r8169 v: 2.3LK-NAPI port: f000 bus-ID: 05:00.0
           IF: enp5s0 state: up speed: 1000 Mbps duplex: full mac: <filter>
Drives:    HDD Total Size: 1004.2GB (7.9% used)
           ID-1: /dev/sda model: WDC_WD10EZEX size: 1000.2GB
           ID-2: USB /dev/sdb model: Cruzer_Edge size: 4.0GB
Partition: ID-1: / size: 23G used: 5.2G (24%) fs: ext4 dev: /dev/sda1
           ID-2: /media/11 size: 206G used: 61M (1%) fs: ext4 dev: /dev/sda5
           ID-3: /media/10 size: 229G used: 44G (20%) fs: ext4 dev: /dev/sda4
           ID-4: /home size: 23G used: 2.0G (9%) fs: ext4 dev: /dev/sda2
           ID-5: /media/5 size: 229G used: 24G (11%) fs: ext4 dev: /dev/sda3
           ID-6: /media/sector11/4GB size: 3.8G used: 21M (1%) fs: fuseblk dev: /dev/sdb1
Sensors:   System Temperatures: cpu: N/A mobo: N/A
           Fan Speeds (in rpm): cpu: 0
Info:      Processes: 193 Uptime: 46 min Memory: 1156.1/15035.8MB
           Init: systemd runlevel: 5 Gcc sys: 6.3.0 Client: Shell (bash 4.4.121) inxi: 2.3.5
 
 11 Feb 20 @ 15:38:50 ~
   $ 

The sun will never set if you keep walking towards it. - my son
Being positive doesn't understand physics.

Offline

#10 2020-02-11 18:51:37

ohnonot
...again
Registered: 2015-09-29
Posts: 4,510
Website

Re: Medit and python-vte

S11: we get it, you don't like geany, and never have.
Medit is also the only graphical editor I know of that somebody wrote syntax highlighting for conky 1.9. for.

Nevertheless:

Sector11 wrote:

I do not see a "terminal" in geany here.
https://i.ibb.co/jGzcFjB/2020-02-11-142425-S11.jpg

That's because your Message Window does not show.
Go to View => check Show Message Window.'

And there's a geany-plugins package you can install if you want to.

Last edited by ohnonot (2020-02-11 18:52:29)


BL quote proposals to this thread please.
how to ask smart questions | my repos / my repos | my blog
---
Thank you for posting direct image links!

Offline

#11 2020-02-11 19:47:09

rbh
Member
From: Sweden/Vasterbotten/Rusfors
Registered: 2016-08-11
Posts: 394

Re: Medit and python-vte

Sector11 wrote:
damo wrote:

BTW Geany has a spellchecker plugin.

It does?
https://i.ibb.co/crd6gNp/2020-02-11-153645-S11.jpg

If you run

# apt install geany-plugin*

you will get 40 plugins (in Buster). Under tools, you can then in the plugin-manager choose which plugins to activate (amomg them, the spellchecker).
The Column mode, has many times saved me extensive work. Medit is not a bad editor, but it is far from all the functionality geany has.
The only thing I'm missing in Geany is preview of markdown files.

Last edited by rbh (2020-02-11 19:51:21)


// Regards rbh

Offline

#12 2020-02-11 19:56:42

Sector11
Conky 1.9er Mod Squid
From: Upstairs
Registered: 2015-08-20
Posts: 6,123

Re: Medit and python-vte

ohnonot wrote:

S11: we get it, you don't like geany, and never have.
Medit is also the only graphical editor I know of that somebody wrote syntax highlighting for conky 1.9. for.

No that is not quite true.  First that I know of was Gedit, which was modified for Medit and nano and vim has it built in and I have know about those for 9 years now.

I will bet they "might" have an impact on Conky v1.10+ as well.  YUP, much better than if you set the language for LUA.

I used gedit and medit long before there was conky highlighting.
That has nothing to do with my not liking geany.

Nevertheless:

Sector11 wrote:

I do not see a "terminal" in geany here.
https://i.ibb.co/jGzcFjB/2020-02-11-142425-S11.jpg

That's because your Message Window does not show.
Go to View => check Show Message Window.'

And there's a geany-plugins package you can install if you want to.

Yup that gives me a terminal - thank you
and
Compiler - that I do not need
Messages
Scribble


Why does everyone want me to like geany?

Last edited by Sector11 (2020-02-11 21:35:38)


The sun will never set if you keep walking towards it. - my son
Being positive doesn't understand physics.

Offline

#13 2020-02-11 20:17:14

rbh
Member
From: Sweden/Vasterbotten/Rusfors
Registered: 2016-08-11
Posts: 394

Re: Medit and python-vte

Sector11 wrote:

Why does everyone want me to like geany?

If you dislike it for only having 6 plugins and no spellchecker, you dislike it on false basis.


// Regards rbh

Offline

#14 2020-02-11 20:38:58

damo
....moderator....
Registered: 2015-08-20
Posts: 5,967

Re: Medit and python-vte

Sector11 wrote:

...
Why does everyone want me to like geany?

Use what you like, as we all do. But, like many applications, you may need to explore the configuration to maximise the functionality to your taste. If one of the reasons you don't like geany is because you haven't found that functionality...just sayin'.


Be Excellent to Each Other...
The Bunsenlabs Lithium Desktop » Here
FORUM RULES and posting guidelines «» Help page for forum post formatting
Artwork on DeviantArt  «» BunsenLabs on DeviantArt

Offline

#15 2020-02-11 21:10:29

Sector11
Conky 1.9er Mod Squid
From: Upstairs
Registered: 2015-08-20
Posts: 6,123

Re: Medit and python-vte

My last word here............................

Since my days with Ubuntu ... 2007

I have tested every "text editor" I could get my hands on and I mean all of them.
For one reason or another they fell aside - and geany was one of them.

That also includes: ed, vim, gvim, nano and emacs

To think ... this started as a WOW I found it ... and I am being beaten to death because I do not use geany!

Thank you for you last post damo!
LINUX IS ABOUT CHOICES!


The sun will never set if you keep walking towards it. - my son
Being positive doesn't understand physics.

Offline

#16 2020-02-12 02:52:06

johnraff
nullglob
From: Nagoya, Japan
Registered: 2015-09-09
Posts: 6,778
Website

Re: Medit and python-vte

rbh wrote:

The only thing I'm missing in Geany is preview of markdown files.

There is a plugin for that.


...elevator in the Brain Hotel, broken down but just as well...
( a boring Japan blog (currently paused), idle Twitterings and GitStuff )

Introduction to the Bunsenlabs Lithium Desktop

Offline

#17 2020-02-12 08:08:20

rbh
Member
From: Sweden/Vasterbotten/Rusfors
Registered: 2016-08-11
Posts: 394

Re: Medit and python-vte

johnraff wrote:
rbh wrote:

The only thing I'm missing in Geany is preview of markdown files.

There is a plugin for that.

Not in Buster...


// Regards rbh

Offline

#18 2020-02-13 08:24:56

johnraff
nullglob
From: Nagoya, Japan
Registered: 2015-09-09
Posts: 6,778
Website

Re: Medit and python-vte

^Ah, indeed not. That's a pity. At the moment it isn't in Bullseye either.
https://bugs.debian.org/cgi-bin/bugrepo … bug=790201
https://metadata.ftp-master.debian.org/ … _changelog
Problem with a webkit library.


...elevator in the Brain Hotel, broken down but just as well...
( a boring Japan blog (currently paused), idle Twitterings and GitStuff )

Introduction to the Bunsenlabs Lithium Desktop

Offline

#19 2020-02-13 18:37:26

ohnonot
...again
Registered: 2015-09-29
Posts: 4,510
Website

Re: Medit and python-vte

Sector11 wrote:

Why does everyone want me to like geany?

Well, it is the default GUI editor in BL, so there's that...
But I don't want you to like geany. Whatever floats your boat.
Just trying to rectify your complaints.


BL quote proposals to this thread please.
how to ask smart questions | my repos / my repos | my blog
---
Thank you for posting direct image links!

Offline

Board footer

Powered by FluxBB